<?php

class DownloadHelper
{

    private $type;

    private $localisation;

    private $nomFichier;

    /**
     * Fonction qui permet de telecharger des documents (HELPER)
     *
     * @param Array $array
     *            : retour du web service
     */
    public function uploadFile($array)
    {
        $this->type = $array['ListeDoc']['Doc']['Type'];
        $this->localisation = $array['ListeDoc']['Doc']['Localisation'];
        $this->nomFichier = $_SESSION['NomFichier'] = $array['ListeDoc']['Doc']['Fichier'];
        
        if ($this->localisation == "tmp") {
            $chemin = Fichier::getCheminTmp();
            $_SESSION['EmplacementFichier'] = 'tmp';
        }
        
        $_SESSION['UrlFichier'] = $this->nomFichier;
        
        return $chemin . $this->nomFichier;
    }

    public function exe()
    {
        echo "window.open('", Fichier::GetURL(), "');";
    }

    /**
     * GETTER
     *
     * @return Array
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * GETTER
     *
     * @return Array
     */
    public function getLocation()
    {
        return $this->localisation;
    }

    /**
     * GETTER
     *
     * @return Array
     */
    public function getNomFichier()
    {
        return $this->nomFichier;
    }
}